Skip to content
Snippets Groups Projects

Compare revisions

Changes are shown as if the source revision was being merged into the target revision. Learn more about comparing revisions.

Source

Select target project
No results found

Target

Select target project
  • mika/sssd
  • guillem/debian-pkg-sssd
  • john.veitch/sssd
  • jgullberg/sssd
  • gioele/sssd
  • oktay454/sssd
  • sergiodj/sssd
  • 3v1n0/sssd
  • jfalk-guest/sssd
  • sathieu/sssd
  • dpward/sssd
  • sssd-team/sssd
  • ahasenack/sssd
  • jbicha/sssd
  • yrro-guest/sssd
15 results
Show changes
Commits on Source (282)
Showing with 2023 additions and 1387 deletions
def untrusted = false
pipeline {
agent none
options {
timeout(time: 10, unit: 'HOURS')
checkoutToSubdirectory('sssd')
}
environment {
NAME = "$BRANCH_NAME/$BUILD_ID"
BASE_DIR = "/home/fedora"
GH_CONTEXT = "sssd-ci"
GH_SUCCESS = "Success."
GH_PENDING = "Build is pending."
GH_FAILURE = "Build failed."
GH_URL = "https://pagure.io/SSSD/sssd"
AWS_BASE = "https://s3.eu-central-1.amazonaws.com/sssd-ci"
SUITE_DIR = "$BASE_DIR/sssd-test-suite"
ARCHIVE = "$BASE_DIR/scripts/archive.sh"
RUN = "./sssd/contrib/test-suite/run.sh"
}
stages {
stage('Prepare') {
steps {
githubNotify status: 'PENDING', context: "$GH_CONTEXT", description: 'Running tests.', targetUrl: "$GH_URL"
}
}
stage('Read trusted files') {
steps {
readTrusted './contrib/test-suite/run.sh'
readTrusted './contrib/test-suite/run-client.sh'
}
post {
failure {
script {
untrusted = true
}
}
}
}
stage('Run Tests') {
parallel {
stage('Test on Fedora 28') {
agent {label "sssd-ci"}
environment {
TEST_SYSTEM = "fedora28"
GH_CONTEXT = "$GH_CONTEXT/fedora28"
GH_URL = "$AWS_BASE/$BRANCH_NAME/$BUILD_ID/$TEST_SYSTEM/index.html"
CONFIG = "$BASE_DIR/configs/${TEST_SYSTEM}.json"
}
steps {
githubNotify status: 'PENDING', context: "$GH_CONTEXT", description: "$GH_PENDING", targetUrl: "$GH_URL"
sh '$RUN "$WORKSPACE/sssd" "$SUITE_DIR" "$WORKSPACE/artifacts/$TEST_SYSTEM" "$CONFIG"'
}
post {
always {
archiveArtifacts artifacts: "artifacts/**", allowEmptyArchive: true
sh '$ARCHIVE $TEST_SYSTEM $WORKSPACE/artifacts/$TEST_SYSTEM $NAME'
sh 'rm -fr "$WORKSPACE/artifacts/$TEST_SYSTEM"'
}
failure {
githubNotify status: 'FAILURE', context: "$GH_CONTEXT", description: "$GH_FAILURE", targetUrl: "$GH_URL"
}
success {
githubNotify status: 'SUCCESS', context: "$GH_CONTEXT", description: "$GH_SUCCESS", targetUrl: "$GH_URL"
}
}
}
stage('Test on Fedora 29') {
agent {label "sssd-ci"}
environment {
TEST_SYSTEM = "fedora29"
GH_CONTEXT = "$GH_CONTEXT/fedora29"
GH_URL = "$AWS_BASE/$BRANCH_NAME/$BUILD_ID/$TEST_SYSTEM/index.html"
CONFIG = "$BASE_DIR/configs/${TEST_SYSTEM}.json"
}
steps {
githubNotify status: 'PENDING', context: "$GH_CONTEXT", description: "$GH_PENDING", targetUrl: "$GH_URL"
sh '$RUN "$WORKSPACE/sssd" "$SUITE_DIR" "$WORKSPACE/artifacts/$TEST_SYSTEM" "$CONFIG"'
}
post {
always {
archiveArtifacts artifacts: "artifacts/**", allowEmptyArchive: true
sh '$ARCHIVE $TEST_SYSTEM $WORKSPACE/artifacts/$TEST_SYSTEM $NAME'
sh 'rm -fr "$WORKSPACE/artifacts/$TEST_SYSTEM"'
}
failure {
githubNotify status: 'FAILURE', context: "$GH_CONTEXT", description: "$GH_FAILURE", targetUrl: "$GH_URL"
}
success {
githubNotify status: 'SUCCESS', context: "$GH_CONTEXT", description: "$GH_SUCCESS", targetUrl: "$GH_URL"
}
}
}
stage('Test on Fedora Rawhide') {
agent {label "sssd-ci"}
environment {
TEST_SYSTEM = "fedora-rawhide"
GH_CONTEXT = "$GH_CONTEXT/fedora-rawhide"
GH_URL = "$AWS_BASE/$BRANCH_NAME/$BUILD_ID/$TEST_SYSTEM/index.html"
CONFIG = "$BASE_DIR/configs/${TEST_SYSTEM}.json"
}
steps {
githubNotify status: 'PENDING', context: "$GH_CONTEXT", description: "$GH_PENDING", targetUrl: "$GH_URL"
sh '$RUN "$WORKSPACE/sssd" "$SUITE_DIR" "$WORKSPACE/artifacts/$TEST_SYSTEM" "$CONFIG"'
}
post {
always {
archiveArtifacts artifacts: "artifacts/**", allowEmptyArchive: true
sh '$ARCHIVE $TEST_SYSTEM $WORKSPACE/artifacts/$TEST_SYSTEM $NAME'
sh 'rm -fr "$WORKSPACE/artifacts/$TEST_SYSTEM"'
}
failure {
githubNotify status: 'FAILURE', context: "$GH_CONTEXT", description: "$GH_FAILURE", targetUrl: "$GH_URL"
}
success {
githubNotify status: 'SUCCESS', context: "$GH_CONTEXT", description: "$GH_SUCCESS", targetUrl: "$GH_URL"
}
}
}
}
}
}
post {
failure {
script {
if (untrusted) {
githubNotify status: 'ERROR', context: "$GH_CONTEXT", description: 'Untrusted files were modified.', targetUrl: "$GH_URL"
} else {
githubNotify status: 'FAILURE', context: "$GH_CONTEXT", description: 'Some tests failed.', targetUrl: "$GH_URL"
}
}
}
aborted {
githubNotify status: 'ERROR', context: "$GH_CONTEXT", description: 'Aborted.', targetUrl: "$GH_URL"
}
success {
githubNotify status: 'SUCCESS', context: "$GH_CONTEXT", description: 'All tests succeeded', targetUrl: "$GH_URL"
}
}
}
This diff is collapsed.
......@@ -212,6 +212,7 @@ m4_include([src/external/test_ca.m4])
if test x$with_secrets = xyes; then
m4_include([src/external/libhttp_parser.m4])
m4_include([src/external/libcurl.m4])
fi
if test x$with_kcm = xyes; then
......@@ -219,10 +220,14 @@ if test x$with_kcm = xyes; then
fi
if test x$with_kcm = xyes -o x$with_secrets = xyes; then
m4_include([src/external/libcurl.m4])
BUILD_WITH_LIBSECRET=1
AC_DEFINE_UNQUOTED(BUILD_WITH_LIBSECRET, 1, [libsecret will be built])
m4_include([src/external/libjansson.m4])
fi
AM_CONDITIONAL([BUILD_WITH_LIBSECRET],
[test x"$BUILD_WITH_LIBSECRET" != "x"])
# This variable is defined by external/libcurl.m4, but conditionals
# must be always evaluated
AM_CONDITIONAL([BUILD_WITH_LIBCURL],
......@@ -368,6 +373,13 @@ them please use argument --without-python3-bindings when running configure.])])
SSS_CLEAN_PYTHON_VARIABLES
fi
if test x$HAVE_PYTHON3_BINDINGS = x1; then
PYTHON_EXEC=$PYTHON3
else
PYTHON_EXEC=$PYTHON2
fi
AC_SUBST(PYTHON_EXEC)
AM_CONDITIONAL([BUILD_PYTHON_BINDINGS],
[test x"$with_python2_bindings" = xyes \
-o x"$with_python3_bindings" = xyes])
......@@ -483,6 +495,7 @@ AM_CONDITIONAL([HAVE_CHECK], [test x$have_check != x])
AM_CHECK_CMOCKA
AM_CHECK_UID_WRAPPER
AM_CHECK_NSS_WRAPPER
AM_CHECK_PAM_WRAPPER
AM_CHECK_TEST_CA
# Check if the user wants SSSD to be compiled with systemtap probes
......@@ -508,6 +521,7 @@ AC_CONFIG_FILES([Makefile contrib/sssd.spec src/examples/rwtab src/doxy.config
src/sysv/sssd src/sysv/gentoo/sssd src/sysv/SUSE/sssd
po/Makefile.in src/man/Makefile src/tests/cwrap/Makefile
src/tests/intg/Makefile src/tests/test_CA/Makefile
src/tests/test_ECC_CA/Makefile
src/lib/ipa_hbac/ipa_hbac.pc src/lib/ipa_hbac/ipa_hbac.doxy
src/lib/idmap/sss_idmap.pc src/lib/idmap/sss_idmap.doxy
src/lib/certmap/sss_certmap.pc src/lib/certmap/sss_certmap.doxy
......@@ -519,4 +533,5 @@ AC_CONFIG_FILES([Makefile contrib/sssd.spec src/examples/rwtab src/doxy.config
src/config/setup.py
src/systemtap/sssd.stp
src/config/SSSDConfig/__init__.py])
AC_CONFIG_FILES([sbus_generate.sh], [chmod +x sbus_generate.sh])
AC_OUTPUT
......@@ -46,6 +46,7 @@ if [[ "$DISTRO_BRANCH" == -redhat-* ]]; then
pyldb
rpm-build
uid_wrapper
pam_wrapper
python-requests
curl-devel
krb5-server
......@@ -53,6 +54,13 @@ if [[ "$DISTRO_BRANCH" == -redhat-* ]]; then
dbus-python
python-pep8
)
if [[ "$DISTRO_BRANCH" == -redhat-fedora-* ]]; then
DEPS_LIST+=(
http-parser-devel
)
fi
_DEPS_LIST_SPEC=`
sed -e 's/@PACKAGE_VERSION@/0/g' \
-e 's/@PACKAGE_NAME@/package-name/g' \
......@@ -117,6 +125,7 @@ if [[ "$DISTRO_BRANCH" == -debian-* ]]; then
fakeroot
libnss-wrapper
libuid-wrapper
libpam-wrapper
python-pytest
python-ldap
python-ldb
......
......@@ -164,8 +164,8 @@
fun:ares_init_options
fun:recreate_ares_channel
fun:resolv_init
fun:be_res_init
...
fun:be_res_init
fun:be_init_failover
fun:test_ipa_server_create_trusts_setup
...
......
......@@ -118,11 +118,8 @@
%global enable_systemtap_opt --enable-systemtap
%endif
%if (0%{?fedora} || 0%{?rhel} >= 7)
%global with_secrets 1
%else
%global with_secret_responder --without-secrets
%endif
%global with_secrets 0
%global with_secret_responder --without-secrets
%if (0%{?fedora} >= 23 || 0%{?rhel} >= 7)
%global with_kcm 1
......@@ -145,6 +142,12 @@
%global with_idmap_version --with-smb-idmap-interface-version=5
%endif
%global with_local_provider 0
%if (0%{?fedora} <= 28 || 0%{?rhel <= 7})
%global with_local_provider 1
%global enable_local_provider --enable-local-provider
%endif
Name: @PACKAGE_NAME@
Version: @PACKAGE_VERSION@
Release: 0@PRERELEASE_VERSION@%{?dist}
......@@ -234,6 +237,7 @@ BuildRequires: selinux-policy-targeted
BuildRequires: libcmocka-devel >= 1.0.0
BuildRequires: uid_wrapper
BuildRequires: nss_wrapper
BuildRequires: pam_wrapper
# Test CA requires openssl independent if SSSD is build with NSS or openssl,
# openssh is needed for ssh-keygen and NSS builds need nss-tools for certutil.
......@@ -278,13 +282,13 @@ BuildRequires: systemtap-sdt-devel
%endif
%if (0%{?with_secrets} == 1)
BuildRequires: http-parser-devel
BuildRequires: libcurl-devel
%endif
%if (0%{?with_kcm} == 1)
BuildRequires: libuuid-devel
%endif
%if (0%{?with_secrets} == 1 || 0%{?with_kcm} == 1)
BuildRequires: jansson-devel
BuildRequires: libcurl-devel
%endif
%if (0%{?with_gdm_pam_extensions} == 1)
BuildRequires: gdm-pam-extensions-devel
......@@ -809,6 +813,7 @@ autoreconf -ivf
%{?with_secret_responder} \
%{?with_kcm_option} \
%{?with_idmap_version} \
%{?enable_local_provider} \
%{?experimental}
make %{?_smp_mflags} all
......@@ -1015,6 +1020,15 @@ done
%{_libdir}/%{name}/libsss_ldap_common.so
%{_libdir}/%{name}/libsss_util.so
%{_libdir}/%{name}/libsss_semanage.so
%{_libdir}/%{name}/libsss_sbus.so
%{_libdir}/%{name}/libsss_sbus_sync.so
%{_libdir}/%{name}/libsss_iface.so
%{_libdir}/%{name}/libsss_iface_sync.so
%{_libdir}/%{name}/libifp_iface.so
%{_libdir}/%{name}/libifp_iface_sync.so
%if (0%{?with_secrets} == 1 || 0%{?with_kcm} == 1)
%{_libdir}/%{name}/libsss_secrets.so
%endif
%{ldb_modulesdir}/memberof.so
%{_bindir}/sss_ssh_authorizedkeys
......@@ -1181,6 +1195,7 @@ done
%files tools -f sssd_tools.lang
%defattr(-,root,root,-)
%license COPYING
%if (0%{with_local_provider} == 1)
%{_sbindir}/sss_useradd
%{_sbindir}/sss_userdel
%{_sbindir}/sss_usermod
......@@ -1188,11 +1203,13 @@ done
%{_sbindir}/sss_groupdel
%{_sbindir}/sss_groupmod
%{_sbindir}/sss_groupshow
%endif
%{_sbindir}/sss_obfuscate
%{_sbindir}/sss_override
%{_sbindir}/sss_debuglevel
%{_sbindir}/sss_seed
%{_sbindir}/sssctl
%if (0%{with_local_provider} == 1)
%{_mandir}/man8/sss_groupadd.8*
%{_mandir}/man8/sss_groupdel.8*
%{_mandir}/man8/sss_groupmod.8*
......@@ -1200,6 +1217,7 @@ done
%{_mandir}/man8/sss_useradd.8*
%{_mandir}/man8/sss_userdel.8*
%{_mandir}/man8/sss_usermod.8*
%endif
%{_mandir}/man8/sss_obfuscate.8*
%{_mandir}/man8/sss_override.8*
%{_mandir}/man8/sss_debuglevel.8*
......@@ -1342,9 +1360,7 @@ done
%if (0%{?with_kcm} == 1)
%files kcm -f sssd_kcm.lang
%if (0%{?with_secrets} == 1)
%attr(700,root,root) %dir %{secdbpath}
%endif
%{_libexecdir}/%{servicename}/sssd_kcm
%if (0%{?with_secrets} == 1)
%{_libexecdir}/%{servicename}/sssd_secrets
......@@ -1353,10 +1369,10 @@ done
%{_datadir}/sssd-kcm/kcm_default_ccache
%{_unitdir}/sssd-kcm.socket
%{_unitdir}/sssd-kcm.service
%{_unitdir}/sssd-secrets.socket
%{_unitdir}/sssd-secrets.service
%{_mandir}/man8/sssd-kcm.8*
%if (0%{?with_secrets} == 1)
%{_unitdir}/sssd-secrets.socket
%{_unitdir}/sssd-secrets.service
%{_mandir}/man5/sssd-secrets.5*
%endif
%endif
......@@ -1374,7 +1390,6 @@ getent passwd sssd >/dev/null || useradd -r -g sssd -d / -s /sbin/nologin -c "Us
%systemd_post sssd-pac.socket
%systemd_post sssd-pam.socket
%systemd_post sssd-pam-priv.socket
%systemd_post sssd-secrets.socket
%systemd_post sssd-ssh.socket
%systemd_post sssd-sudo.socket
......@@ -1385,7 +1400,6 @@ getent passwd sssd >/dev/null || useradd -r -g sssd -d / -s /sbin/nologin -c "Us
%systemd_preun sssd-pac.socket
%systemd_preun sssd-pam.socket
%systemd_preun sssd-pam-priv.socket
%systemd_preun sssd-secrets.socket
%systemd_preun sssd-ssh.socket
%systemd_preun sssd-sudo.socket
......@@ -1400,8 +1414,6 @@ getent passwd sssd >/dev/null || useradd -r -g sssd -d / -s /sbin/nologin -c "Us
%systemd_postun_with_restart sssd-pam.socket
%systemd_postun_with_restart sssd-pam-priv.socket
%systemd_postun_with_restart sssd-pam.service
%systemd_postun_with_restart sssd-secrets.socket
%systemd_postun_with_restart sssd-secrets.service
%systemd_postun_with_restart sssd-ssh.socket
%systemd_postun_with_restart sssd-ssh.service
%systemd_postun_with_restart sssd-sudo.socket
......@@ -1428,6 +1440,18 @@ getent passwd sssd >/dev/null || useradd -r -g sssd -d / -s /sbin/nologin -c "Us
%systemd_postun_with_restart sssd-kcm.service
%endif
%if (0%{?with_secrets} == 1)
%post secrets
%systemd_postun_with_restart sssd-secrets.socket
%preun secrets
%systemd_preun_with_restart sssd-secrets.socket
%postun secrets
%systemd_postun_with_restart sssd-secrets.socket
%systemd_postun_with_restart sssd-secrets.service
%endif
%else
# sysv
%post common
......
# Run SSSD Test Suite
Script `run.sh` will run all available SSSD test on a set of virtual machines created by vagrant. These virtual machines are part of separate project located at `https://github.com/SSSD/sssd-test-suite`.
## Automated Testing
These test are run automatically when you submit a Pull Request to SSSD project. Status report together with logs will be available in the Pull Request when testing is finished.
## Steps to run the tests manually
1. Checkout `https://github.com/SSSD/sssd-test-suite`
2. Configure and setup SSSD test suite per instructions located at project readme.
3. Make sssd-test-suite use already provisioned boxes (either manually created or maintained by SSSD team at https://app.vagrantup.com/sssd-vagrant).
4. Run `run.sh`, please note that this script will call `vagrant destroy` and it will thus destroy your existing guests.
```
run.sh SSSD-SOURCE-DIR TEST-SUITE-DIR ARTIFACTS-DIR CONFIG-FILE
SSSD-SOURCE-DIR Path to SSSD source directory.
TEST-SUITE-DIR Path to sssd-test-suite_dir directory.
ARTIFACTS-DIR Path to directory where artifacts should be stored.
CONFIG-FILE Path to sssd-test-suite_dir configuration file to use.
```
At this moment only `client` guest is required. We need to expand our test cases to test agains FreeIPA and Active Directory.
## SSSD CI Architecture
Jenkins master polls github for new branches and pull requests. When it discovers new pull request or branch or changes to existing pull request or branch it will allocate a jenkins agent and executes pipeline defined in `./Jenkinsfile` (in SSSD source) on this agent.
The pipeline executes `./contrib/test-suite/run.sh` and archives logs when testing is finished. Script `./contrib/test-suite/run.sh` prepares sssd-test-suite, starts the vagrant machines and copy SSSD source code to the client machine. Then it calls `./contrib/test-suite/run-client.sh` on the client machine which runs continuous integration tests.
### Extending current tests
To extend current testing capabilities, modify `./contrib/test-suite/run.sh` and `./contrib/test-suite/run-client.sh` to new requirements. These files can be modified by anyone but are considered untrusted from contributor that is not an administrator of SSSD repository. This means that if a public contributor submits a pull request that changes those files, Jenkins will refuse to run tests.
### Adding additional distribution to test on
You need to modify `./Jenkinsfile`. Simply copy, paste and amend existing Fedora 28 stage. This file is also considered untrusted so only administrators can modify it within a pull request.
You also need to extend `sssd-test-suite` and prepare vagrant boxes for this distro.
#!/bin/bash
#
# DO NOT RUN THIS MANUALLY
#
sssd_source="/shared/sssd"
artifacts_dir="/shared/artifacts"
archive-artifacts() {
echo "Archiving Artifact..."
cp -f $sssd_source/ci-*.log /shared/artifacts
cp -f $sssd_source/ci-build-debug/ci-*.log /shared/artifacts
}
success-or-die() {
ret=$1
msg=$2
if [ $ret -eq 0 ]; then
return 0
fi
echo $msg
archive-artifacts
exit $ret
}
cd $sssd_source
echo "[1/1] Running Continuous Integration Tests"
./contrib/ci/run
success-or-die $? "CI Failed!"
archive-artifacts
exit 0
#!/bin/bash
print-usage() {
cat <<EOF
Run SSSD Continuous Integration Tests
Make sure to checkout and setup https://github.com/SSSD/sssd-test-suite
run.sh SSSD-SOURCE-DIR TEST-SUITE-DIR ARTIFACTS-DIR CONFIG-FILE
SSSD-SOURCE-DIR Path to SSSD source directory.
TEST-SUITE-DIR Path to sssd-test-suite_dir directory.
ARTIFACTS-DIR Path to directory where artifacts should be stored.
CONFIG-FILE Path to sssd-test-suite_dir configuration file to use.
EOF
}
print-help-if-asked() {
while test $# -gt 0
do
case "$1" in
--help)
print-usage ; exit 0
;;
-h) print-usage ; exit 0
;;
-?) print-usage ; exit 0
;;
esac
shift
done
}
success-or-die() {
if [ $1 -ne 0 ]; then
echo $2
exit 1
fi
}
print-help-if-asked "$@"
if [[ $# -ne 4 ]]; then
print-usage
exit 1
fi
sssd_source=$1
suite_dir=$2
artifacts_dir=$3
config=$4
guest_source="/shared/sssd"
guest_artifacts="/shared/artifacts"
# Currently only client machine is needed.
guests="client"
run-vagrant() {
VAGRANT_CWD="$suite_dir" \
SSSD_TEST_SUITE_RSYNC="$sssd_source:$guest_source" \
SSSD_TEST_SUITE_SSHFS="$artifacts_dir:$guest_artifacts" \
SSSD_TEST_SUITE_CONFIG="$config" \
vagrant "$@"
}
start-guest() {
# This may fail if guest's box was not yet downloaded. We will ignore it.
run-vagrant destroy $1 &> /dev/null
run-vagrant box update $1
success-or-die $? "Unable to update guest: $1"
run-vagrant up $1
success-or-die $? "Unable to start guest: $1"
}
stop-guest() {
run-vagrant halt $1
success-or-die $? "Unable to halt guest: $1"
}
echo "[1/5] Creating $artifacts_dir"
mkdir -p "$artifacts_dir"
success-or-die $? "Unable to create directory: $artifacts_dir"
echo "[2/5] Updating sssd-test-suite"
git -C "$suite_dir" pull --rebase
success-or-die $? "Unable to rebase sssd-test-suite at: $suite_dir"
echo "[3/5] Preparing vagrant machines"
for guest in $guests; do
start-guest $guest
done
echo "[4/5] Running tests"
run-vagrant ssh client -- "$guest_source/contrib/test-suite/run-client.sh"
success-or-die $? "SSSD Test Suite Failed: $?"
echo "[5/5] Shutdown machines"
for guest in $guests; do
stop-guest $guest
done
sssd (2.1.0-1) experimental; urgency=medium
* New upstream release.
* sssd-tools.install: Local domain support is deprecated and not
built by default anymore, so drop the files.
* control, sssd-common.install: Secrets responder is dropped, deprecated.
* control: Add ldap-utils to build-depends, tests need it.
* sssd-common.install: Add new internal libs for iface/sbus.
* fix-whitespace-test.diff: Fix ignoring the debian dir.
* rules: Update the clean target.
-- Timo Aaltonen <tjaalton@debian.org> Mon, 27 May 2019 13:55:38 +0300
sssd (1.16.4-1~exp1) experimental; urgency=medium
[ Timo Aaltonen ]
......@@ -779,7 +792,7 @@ sssd (1.2.1-3) unstable; urgency=low
_kerberos TXT record in DNS if it exist.
* Recommend bind9-host used by generate-config for SRV and TXT
lookups.
[ Morten Werner Forsbring ]
* Check if /etc/default/sssd is a file and executable, not a directory,
before sourcing in init-script. Thanks to lintian.
......
......@@ -16,16 +16,15 @@ Build-Depends:
docbook-xsl,
dpkg-dev (>= 1.16.1~),
krb5-config,
ldap-utils,
libaugeas-dev,
libc-ares-dev,
libcmocka-dev [amd64 armhf i386],
libcollection-dev,
libcurl4-gnutls-dev,
libdbus-1-dev,
libdhash-dev,
libgdm-dev [!s390x !kfreebsd-any !hurd-any],
libglib2.0-dev,
libhttp-parser-dev,
libini-config-dev,
libjansson-dev,
libkeyutils-dev [linux-any],
......
diff --git a/src/tests/whitespace_test b/src/tests/whitespace_test
index f055ed4c2..fa95494be 100755
--- a/src/tests/whitespace_test
+++ b/src/tests/whitespace_test
@@ -4,7 +4,7 @@ set -e -u -o pipefail
# An AWK regex matching tracked file paths to be excluded from the search.
# Example: '.*\.po|README'
-PATH_EXCLUDE_REGEX='.*\.po|.*\.patch|.*\.diff|\/debian\/.*'
+PATH_EXCLUDE_REGEX='.*\.po|.*\.patch|.*\.diff|debian\/.*'
export GIT_DIR="$ABS_TOP_SRCDIR/.git"
export GIT_WORK_TREE="$ABS_TOP_SRCDIR"
@@ -16,7 +16,7 @@ fi
{
# Look for lines with trailing whitespace in all files tracked by Git
- git grep -n -I '\s\+$' -- "$(git rev-parse --show-toplevel)" ||
+ git grep --full-name -n -I '\s\+$' -- "$(git rev-parse --show-toplevel)" ||
# Don't fail if no such lines were found anywhere
[[ $? == 1 ]]
} |
#placeholder
fix-whitespace-test.diff
......@@ -98,3 +98,4 @@ override_dh_auto_clean:
rm -f $(CURDIR)/po/*.gmo
rm -f $(CURDIR)/src/config/*.pyc
rm -f $(CURDIR)/po/stamp-po
rm -f $(CURDIR)/src/sbus/codegen/__pycache__/*.pyc
etc/pam.d/sssd-shadowutils
lib/systemd/system/sssd.service
lib/systemd/system/sssd-secrets.service
lib/systemd/system/sssd-secrets.socket
lib/systemd/system/sssd-sudo.service
lib/systemd/system/sssd-sudo.socket
lib/systemd/system/sssd-ssh.service
......@@ -22,13 +20,20 @@ usr/lib/*/ldb/modules/ldb/memberof.so
usr/lib/*/libnfsidmap/sss.so
usr/lib/*/samba/idmap/sss.so
usr/lib/*/sssd/conf/sssd.conf
usr/lib/*/sssd/libifp_iface.so
usr/lib/*/sssd/libifp_iface_sync.so
usr/lib/*/sssd/libsss_cert.so
usr/lib/*/sssd/libsss_child.so
usr/lib/*/sssd/libsss_crypt.so
usr/lib/*/sssd/libsss_debug.so
usr/lib/*/sssd/libsss_files.so
usr/lib/*/sssd/libsss_iface.so
usr/lib/*/sssd/libsss_iface_sync.so
usr/lib/*/sssd/libsss_krb5_common.so
usr/lib/*/sssd/libsss_ldap_common.so
usr/lib/*/sssd/libsss_sbus.so
usr/lib/*/sssd/libsss_sbus_sync.so
usr/lib/*/sssd/libsss_secrets.so
usr/lib/*/sssd/libsss_semanage.so
usr/lib/*/sssd/libsss_simple.so
usr/lib/*/sssd/libsss_util.so
......@@ -41,7 +46,6 @@ usr/lib/*/sssd/sssd_be
usr/lib/*/sssd/sssd_check_socket_activated_responders
usr/lib/*/sssd/sssd_nss
usr/lib/*/sssd/sssd_pam
usr/lib/*/sssd/sssd_secrets
usr/lib/*/sssd/sssd_ssh
usr/lib/*/sssd/sssd_sudo
usr/sbin/sssd
......@@ -50,7 +54,6 @@ usr/share/man/man1/sss_ssh_authorizedkeys.1*
usr/share/man/man1/sss_ssh_knownhostsproxy.1*
usr/share/man/man5/sss_rpcidmapd.5*
usr/share/man/man5/sssd-files.5*
usr/share/man/man5/sssd-secrets.5*
usr/share/man/man5/sssd-session-recording.5*
usr/share/man/man5/sssd-simple.5*
usr/share/man/man5/sssd-sudo.5*
......
usr/sbin/sss_cache
usr/sbin/sss_debuglevel
usr/sbin/sss_groupadd
usr/sbin/sss_groupdel
usr/sbin/sss_groupmod
usr/sbin/sss_groupshow
usr/sbin/sss_obfuscate
usr/sbin/sss_override
usr/sbin/sss_seed
usr/sbin/sss_useradd
usr/sbin/sss_userdel
usr/sbin/sss_usermod
usr/sbin/sssctl
usr/share/man/man8/sss_cache.8*
usr/share/man/man8/sss_debuglevel.8*
usr/share/man/man8/sss_groupadd.8*
usr/share/man/man8/sss_groupdel.8*
usr/share/man/man8/sss_groupmod.8*
usr/share/man/man8/sss_groupshow.8*
usr/share/man/man8/sss_obfuscate.8*
usr/share/man/man8/sss_override.8*
usr/share/man/man8/sss_seed.8*
usr/share/man/man8/sss_useradd.8*
usr/share/man/man8/sss_userdel.8*
usr/share/man/man8/sss_usermod.8*
usr/share/man/man8/sssctl.8*
......@@ -28,6 +28,5 @@ src/tools/sssctl/sssctl_config.c
src/tools/sssctl/sssctl_data.c
src/tools/sssctl/sssctl_domains.c
src/tools/sssctl/sssctl_logs.c
src/tools/sssctl/sssctl_sifp.c
src/tools/sssctl/sssctl_user_checks.c
src/util/util.h
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.